Batch digitize multiple image elements
POST
/api/canvas/{deal_id}/images/batch-digitize
const url = 'https://example.com/api/canvas/example/images/batch-digitize';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"elements":[{"element_id":"example","element_type":"example","image_url":"example"}],"stitch":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/images/batch-digitize \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "elements": [ { "element_id": "example", "element_type": "example", "image_url": "example" } ], "stitch": false }'Digitize multiple image elements in a single SSE stream.
Each element is processed sequentially. Per-element failures do not abort the batch — a summary event is emitted at the end.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
BatchDigitizeRequest
Batch digitization request — up to 10 elements in one SSE stream.
object
elements
required
Elements
Array<object>
BatchDigitizeElementOne element in a batch digitization request.
object
element_id
required
Element Id
string
element_type
required
Element Type
string
image_url
required
Image Url
string
stitch
Stitch
boolean
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}